`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 06/05/2020 05:17:07 PM
// Design Name: 
// Module Name: test_sim
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module test_sim
(
);


parameter [ 31: 0 ] DBG_BASEADDR  = 32'h0000_0800;
parameter [ 31: 0 ] TMR_BASEADDR  = 32'h0200_0000;
parameter [ 31: 0 ] PLIC_BASEADDR = 32'h0c00_0000;
parameter [ 31: 0 ] ITCM_BASEADDR = 32'h8000_0000;
parameter [ 31: 0 ] DTCM_BASEADDR = 32'h9000_0000;
parameter [ 31: 0 ] UART_BASEADDR = 32'he000_0000;
parameter [ 31: 0 ] GPIO_BASEADDR = 32'hf000_0000;

parameter IO_WIDTHa = 8;
parameter IO_WIDTHb = 6;
parameter IO_WIDTHc = 8;
parameter IO_WIDTHd = 4;
    
reg clk = 0;

always #10 clk = ~clk;

reg rst_n = 0;
/*
initial begin
    $readmemh ("led.HEX", fii_cpu_sys_inst.fii_riscv_cpu_inst.fii_rv32i_core_inst.program_inst.inst.native_mem_module.blk_mem_gen_v8_4_1_inst.memory);
end
*/
localparam FILE_NAME = "../../../asm_run_led.sim";
integer file_handle = 0;
initial begin
    file_handle = $fopen(FILE_NAME,"r");
    if(!file_handle)
    begin
        $display("Could not open File \r");
        $stop;
    end
    $readmemh (FILE_NAME, fii_cpu_sys_inst.fii_riscv_cpu_inst.fii_rv32i_core_inst.program_inst.inst.native_mem_module.blk_mem_gen_v8_4_1_inst.memory);
 
    $fclose(file_handle);    
end

reg end_flag = 0;
initial
begin

end_flag = 0;
#40000;
end_flag = 1;

end

fii_cpu_sys
#(
    .SIM_DEBUG     ("TRUE"),
    
    .DBG_BASEADDR  (DBG_BASEADDR),
    .TMR_BASEADDR  (TMR_BASEADDR),
    .PLIC_BASEADDR (PLIC_BASEADDR),
    .ITCM_BASEADDR (ITCM_BASEADDR),
    .DTCM_BASEADDR (DTCM_BASEADDR),
    .UART_BASEADDR (UART_BASEADDR),
    .GPIO_BASEADDR (GPIO_BASEADDR),

    .IO_WIDTHa (IO_WIDTHa),
    .IO_WIDTHb (IO_WIDTHb),
    .IO_WIDTHc (IO_WIDTHc),
    .IO_WIDTHd (IO_WIDTHd)
)
fii_cpu_sys_inst
(
    .OSC_CLK    (clk),
    
    .UART_RXD   (1'b1),
    .EXT_RSTN   (1'b1)

);


end_flag  end_flag_inst
(
    .clk    (clk),
    .end_flag (end_flag)
    
);    
    
endmodule
