`timescale 1ns / 1ps 
//////////////////////////////////////////////////////////////////////////////////
// Company:     Fraser Innavotion Inc
// Engineer:    Qianqi(Tim) Zhuang & William Gou
//
// Create Date: 09/25/2018 09:28:18 AM
// Modified Date: 2020-02-28
// Design Name:
// Module Name: csr_mid
// Project Name: RISC-V SOC RTL
// Target Devices: FII-PE7030, FII-PRX100T, FII-BM7100, FII-PRA040, FII-PRA006
// Tool Versions: vivado 18.1/18.2
// Description:
//
// Dependencies:
// this is a simple version of risc-v integer version,aim to show up basic concept of RTL
// Revision:1.0
// Revision 0.01 - File Created
// Additional Comments:
//
//////////////////////////////////////////////////////////////////////////////////

module csr_mid
(
    input     [11:0] i_csr_addr,
    
    output    [31:0] o_mvendorid,
    output    [31:0] o_marchid, 
    output    [31:0] o_mimpid, 
    output    [31:0] o_mhartid
);

assign    o_mvendorid   = 32'b0;
assign    o_marchid     = 32'b0;
assign    o_mimpid      = 32'b0;
assign    o_mhartid     = 32'b0;



endmodule